<div *ngFor="let fields of fieldsToBeDisplayed" class="card-text"><span class="field-label">{{fields.label}}: </span> <span class="field-value">{{assetData[fields.field]}}</span></div>
<!--<div class="card-text">Registration Number: <span>{{assetData.registrationNumber}}</span></div>
<p class="card-text">Fleet No: <span>{{assetData.fleetNo}}</span></p>-->
<p class="card-text"><span></span></p>

<div class="card-text date" *ngIf="assetData.updated"><span>{{assetData.updated | date: 'medium'}}</span></div>


